<?php

namespace EventPortal\Domain\Table;

use EventPortal\Concerns\HasWhen;

class GroupedActions
{
    use HasWhen;

    /** @var string */
    public $label;

    /** @var array */
    public $actions = [];

    public function __construct(string $label)
    {
        $this->label = $label;
    }

    public static function make(string $label): self
    {
        return new self($label);
    }

    public function actions(array $actions): self
    {
        foreach ($actions as $action) {
            $this->actions[] = $action;
        }

        return $this;
    }
}
